Update Zone by Name - Fabric

Update Zone by Name

cURL

curl --request PUT \
  --url https://api.fabric.inc/v3/location-zones/zone-name/{zoneName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "geographyName": "US_Geo_PostalCode",
  "type": "PostalCode",
  "description": "Specific geography for US Zones",
  "values": [
    "<string>"
  ],
  "associatedZone": "US_Zone",
  "linkedNetworks": [
    "<string>"
  ],
  "resourceId": "<string>",
  "subResourceId": "<string>"
}
'

Python

import requests

url = "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}"

payload = {
    "geographyName": "US_Geo_PostalCode",
    "type": "PostalCode",
    "description": "Specific geography for US Zones",
    "values": ["<string>"],
    "associatedZone": "US_Zone",
    "linkedNetworks": ["<string>"],
    "resourceId": "<string>",
    "subResourceId": "<string>"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PUT',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    geographyName: 'US_Geo_PostalCode',
    type: 'PostalCode',
    description: 'Specific geography for US Zones',
    values: ['<string>'],
    associatedZone: 'US_Zone',
    linkedNetworks: ['<string>'],
    resourceId: '<string>',
    subResourceId: '<string>'
  })
};

fetch('https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'geographyName' => 'US_Geo_PostalCode',
    'type' => 'PostalCode',
    'description' => 'Specific geography for US Zones',
    'values' => ['<string>'],
    'associatedZone' => 'US_Zone',
    'linkedNetworks' => ['<string>'],
    'resourceId' => '<string>',
    'subResourceId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Response Structure

Success (200)

{
  "zoneName": "US_LOCATIONS",
  "zoneType": "ABSOLUTE",
  "zoneId": "9372919a8219e8",
  "description": "Specific zone for US Locations",
  "locations": [
    {
      "priority": 1,
      "locationNumber": 23
    }
  ],
  "tiers": [
    {
      "filters": [
        {
          "field": "location.locationNum",
          "condition": "EQ",
          "value": "<unknown>",
          "group": "GroupA"
        }
      ],
      "sort": "+location.createdAt",
      "tier": 123
    }
  ],
  "createdAt": "2022-05-12T09:30:31.198Z",
  "updatedAt": "2022-05-12T09:30:31.198Z"
}

Error Responses

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing"
}
{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request"
}
{
  "message": "Location zone with zoneName: 9372919a8219e8 not found"
}
{
  "type": "SERVER_ERROR",
  "errorCode": "SERVICE-5000",
  "message": "Internal server error"
}

Authorization